Bug 453989 - [RHEL4/Evo28] e-d-s crash in e_cal_backend_sync_dispose
[RHEL4/Evo28] e-d-s crash in e_cal_backend_sync_dispose
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution28-evolution-data-server (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Matthew Barnes
:
Depends On: 453988
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-03 13:34 EDT by ritz
Modified: 2010-10-22 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 14:19:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch based on upstream code (5.31 KB, patch)
2008-07-03 13:34 EDT, ritz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 494314 None None None Never
GNOME Bugzilla 506457 None None None Never

  None (edit)
Description ritz 2008-07-03 13:34:48 EDT
Description of problem:

eds crashes

Thread 1 (Thread -1208678720 (LWP 28840)):
#0  0x009ef7a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2
#1  0x0032d815 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:67
#2  0x0032f279 in *__GI_abort () at ../sysdeps/generic/abort.c:88
#3  0x002aa7ee in IA__g_logv (log_domain=0xe24d6e "GThread", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0xe24758 "file %s: line %d (%s): error '%s' during '%s'", 
    args1=0xbfe8a4bc "^M<E2>") at gmessages.c:497
#4  0x002aa814 in IA__g_log (log_domain=0x0, log_level=0, format=0x0)
    at gmessages.c:517
#5  0x00e233c8 in g_mutex_free_posix_impl (mutex=0x911a0a8)
    at gthread-posix.c:160
#6  0x009dbd38 in e_cal_backend_sync_dispose (object=0x9115e98)
    at e-cal-backend-sync.c:978
#7  0x00879a39 in IA__g_object_unref (_object=0x9115e98) at gobject.c:1757
#8  0x0087c04f in g_value_object_free_value (value=0xbfe8a650)
    at gobject.c:1905
#9  0x008963d3 in IA__g_value_unset (value=0xbfe8a650) at gvalue.c:155
#10 0x0088ae0f in IA__g_signal_emit_valist (instance=0x9115e98, signal_id=14, 
    detail=0, var_args=0xbfe8a7dc "\227<F1>\235") at gsignal.c:2227
#11 0x0088b10e in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2241
#12 0x009d6315 in e_cal_backend_remove_client (backend=0x9115e98, 
    cal=0x9115460) at e-cal-backend.c:391
#13 0x009d6385 in listener_died_cb (cnx=0x9106940, data=0x0)
    at e-cal-backend.c:385
#14 0x00eb464b in link_connection_unref () from /usr/lib/libORBit-2.so.0
#15 0x00eb46aa in link_connection_unref () from /usr/lib/libORBit-2.so.0
#16 0x002a5942 in g_idle_dispatch (source=0xb3506e98, callback=0x6, 
    user_data=0x0) at gmain.c:3926
#17 0x002a29da in IA__g_main_context_dispatch (context=0x90e4b98)
    at gmain.c:2045
#18 0x002a41f8 in g_main_context_iterate (context=0x90e4b98, block=1, 
    dispatch=1, self=0x90daf38) at gmain.c:2677
#19 0x002a451f in IA__g_main_loop_run (loop=0x910a0d8) at gmain.c:2881
#20 0x036eadd5 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#21 0x0804bcd7 in main (argc=Variable "argc" is not available.

Version-Release number of selected component (if applicable):
evolution28-2.8.0-61.el4-debug-pid-28735
evolution28-evolution-data-server-1.8.0-41.el4.i386.rpm  
 
How reproducible:
After upgrading ORBit2, always

Steps to Reproduce:
n/a
  
Actual results:
eds crashes

Expected results:
eds should not crash 

Additional info:

suspected bug gnome# 506457
 libedata-cal/e-data-cal-factory.c: Serialize access to the
priv->backends hash table using mutex. This prevents a race while
adding backends to the table.

patch -
http://svn.gnome.org/viewvc/evolution-data-server/trunk/calendar/libedata-cal/e-data-cal-factory.c?r1=8245&r2=8330

nice to have 
gnome bug #494314
* libedata-cal/e-data-cal-factory.c: (impl_CalFactory_getCal):
Don't leak Cal object reference.
patch -
http://svn.gnome.org/viewvc/evolution-data-server/trunk/calendar/libedata-cal/e-data-cal-factory.c?r1=8210&r2=8245
Comment 1 ritz 2008-07-03 13:34:48 EDT
Created attachment 310941 [details]
patch based on upstream code
Comment 2 ritz 2008-07-03 13:38:01 EDT
> After upgrading ORBit2, always
as described by bug#453988 .
Comment 3 Matthew Barnes 2008-07-03 16:12:47 EDT
Awesome, thanks for the patch.
Comment 5 RHEL Product and Program Management 2008-09-05 13:09:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 RHEL Product and Program Management 2008-09-26 14:19:55 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.